
U++ - Bug #1175

umk: Fix for android builder

07/09/2015 01:57 PM - Miroslav Fidler

Status: Approved Start date: 07/09/2015

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: Android Estimated time: 0.00 hour

Target version: Release 2015.2 Spent time: 0.00 hour

Description

int GetHydraThreads()

should return correct value for android builder

String GetAndroidSDKPath()

should be moved to Build method and correctly supported

(and umk should be checked to work after that).

History

#1 - 07/09/2015 02:11 PM - Zbigniew Rebacz

- Category set to Android

- Assignee set to Zbigniew Rebacz

#2 - 10/23/2015 08:46 PM - Zbigniew Rebacz

- Status changed from New to Ready for QA

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

- Target version set to Release 2015.2

I can compile example:

./umk examples AndroidMath AndroidBuilder ~/AndroidMath.apk

#3 - 10/23/2015 08:47 PM - Zbigniew Rebacz

Output for terminal:

----- AndroidMathUtility ( ANDROID DEBUG DEBUG_FULL LINUX POSIX ) (1 / 2)

----- AndroidMath ( MAIN ANDROID DEBUG DEBUG_FULL LINUX POSIX ) (2 / 2)

Building Android Project

-----

Compiling java sources...

Java sources compiled in (0:00.83).

-----

Compiling native sources...

Native sources compiled in (0:01.35).
-----

Creating dex file...

Creating apk file...

Adding native libraries to apk...

Generating debug key...

Signing apk file...

Aliging apk file...

OK. (0:03.95)

#4 - 10/24/2015 12:39 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved
